#ifndef _G_OBJECT_MANAGER_
#define _G_OBJECT_MANAGER_

#include "../enemy/GEnemyManager.h"
//#include "../effect/GEffectManager.h"
#include "../player/GPlayer.h"
//#include "../shot/GShotManager.h"
//#include "../item/GItemManager.h"
//#include "../neutral/GNeutralManager.h"

class GObjectManager{
private:
	GEnemyManager* enemyManager;
	GPlayer* player;
//	GEffectManager* effectManager;
//	GShotManager* shotManager;
//	GItemManager* itemManager;
//	GNeutralManager* neutralManager;
public:
	GEnemyManager* getEnemyManager(){
		return enemyManager;
	}
/*	GShotManager* getShotManager(){
		return shotManager;
	}
	GEffectManager* getEffectManager(){
		return effectManager;
	}
	GItemManager* getItemManager(){
		return itemManager;
	}
	GNeutralManager* getNeutralManager(){
		return neutralManager;
	}

*/
	GPlayer* getPlayer(){
		return player;
	}
public:
	
	GObjectManager();
	virtual ~GObjectManager();

	void init();
	void clear();
};

#endif
